---
title: "R Notebook, Python und UTF-8"
author: "Jörg Kantel"
date: '`r Sys.Date()`'
output:
  html_document: default
  html_notebook: default
  tufte::tufte_handout:
    fig_caption: yes
    highlight: tango
    latex_engine: xelatex
  tufte::tufte_html:
    css: user.css
    fig_caption: yes
    tufte_features:
    - fonts
    - italics
---

## Python im R Notebook -- ein erster Test

Bei meinen Experimenten mit dem neuen R Notebook habe ich nicht nur dieses, sondern auch das Tufte-Paket[^tufte] für einen schöneren HTML- und PDF-/LaTeX-Output entdeckt. Und so habe ich beides zusammen für meine ersten Experimente mit dem R Notebook und Python genutzt.

[^tufte]: http://rstudio.github.io/tufte/

Leider verbindet sich das Notebook zur Zeit nur mit dem Python, was R unter `Sys.witch("python")` findet[^knitr], und das ist leider das (System-) Python 2.7.5 von Apple, nicht jedoch mein Anaconda Python 3.5. Wie dem auch sei, für erste Tests muß das reichen.

[^knitr]: Das scheint eine Eigenschaft der [Knitr-Language-Engine](http://rmarkdown.rstudio.com/authoring_knitr_engines.html) zu sein

```{r, echo=FALSE, fig.margin = TRUE}
knitr::include_graphics("images/pythonlogo.png")
```

```{python}
# -*- coding: utf-8 -*-
from collections import Counter
path = "data/aufklaerung.txt"

with open(path , mode="r") as f:
    text = f.read()
print(text)

text= text.lower()
cntr = Counter(text.split())
liste = cntr.most_common()
print(liste[0:5])
```

So schön das Tufte-Paket auch ist, man sieht auch gleich seine erste Unzulänglichkeit: Breite Codezeilen sind zumindest beim HTML-Output nur mit dem ungeliebten, horizontalen Scrollbalken möglich (beim PDF-Output sieht die Geschichte schon besser aus).

Nimmt man dagegen als Output das »normale« HTML-Dokument des Notebooks, ist eigentlich alles viel schicker. Wenn man keinen guten Grund hat, sollte man sich daher wirklich überlegen, ob man die Funktionalität der Ästhetik opfert.

Wie gesagt, im Druck sieht alles schicker aus. Der *Tufte-Handout-Style* ist eben für Druckerzeugnisse entworfen und nicht für Online-Publikationen. Das merkt man deutlich.